Loading...
Searching...
No Matches
dolfin::TrilinosParameters Class Reference

`#include <TrilinosParameters.h>`

## Static Public Member Functions

static void | insert_parameters (const Parameters &params, Teuchos::RCP< Teuchos::ParameterList > parameter_list)

## Detailed Description

Method for translating DOLFIN Parameters to Teuchos::ParameterList needed by Trilinos objects

## Member Function Documentation

## insert_parameters()

void TrilinosParameters::insert_parameters | ( | const Parameters & | params,
|  | Teuchos::RCP< Teuchos::ParameterList > | parameter_list )

static

Copy over parameters from a dolfin Parameters object to a Teuchos::ParameterList

Parameters

  [in] | params | (Parameters) dolfin parameter set
  [in,out] | parameter_list | (Teuchos::RCP<Teuchos::ParameterList>) Trilinos Teuchos parameter set

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/TrilinosParameters.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/TrilinosParameters.cpp